import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:loyalty_management_tool/utils/customcard.dart';

import '../../../models/enums/payments_enums.dart';
import '../../../utils/basicInfo.dart';
import '../../../utils/custom_app_bar.dart';
import '../../../utils/localization.dart';
import '../../../utils/text_styling.dart';
import '../../common_widgets/recharge_card_widget.dart';
import '../../common_widgets/user_name_with_image_card.dart';

class RewardsHistoryPage extends StatefulWidget {
  final String type;

  const RewardsHistoryPage({Key? key, required this.type}) : super(key: key);

  @override
  RewardsHistoryPageState createState() => RewardsHistoryPageState();
}

class RewardsHistoryPageState extends State<RewardsHistoryPage> {
  BasicInfo basicInfo = BasicInfo();
  late TextStyleElements styleElements;

  @override
  Widget build(BuildContext context) {
    styleElements = TextStyleElements(context);
    return SafeArea(
      child: Scaffold(
        appBar: appAppBar().getCustomAppBar(context,
            appBarTitle: AppLocalizationsRewards.of(context)!.translate(
                widget.type == PaymentEnums.cash.type
                    ? 'recharge_wallet'
                    : 'recharge_coin'), onBackButtonPress: () {
          Navigator.pop(context);
        }),
        body: NestedScrollView(
          headerSliverBuilder: (context, value) {
            return [
              SliverToBoxAdapter(
                  child: appCard(
                      child: UserNameWithImageCard(
                imageUrl: basicInfo.baseUrl + basicInfo.userImage,
                subtitle: basicInfo.businessId.toString(),
                callbackPicker: () {},
                isFollow: true,
                title: basicInfo.userName,
              ))),
              SliverToBoxAdapter(
                  child: Padding(
                padding: EdgeInsets.all(16.0),
                child: Text(
                  "Your Cost",
                  overflow: TextOverflow.ellipsis,
                  style: styleElements
                      .headline6ThemeScalableW(context)
                      .copyWith(fontWeight: FontWeight.bold),
                  textAlign: TextAlign.left,
                ),
              )),
              SliverToBoxAdapter(
                  child: appCard(
                      child: RechargeWalletCard(
                        refreshCallBack:(){},
                          textFive: '67',
                          textThree: 'Status',
                          type:widget.type,
                          textSix: '78',
                          callback: () {},
                          textTwo: 'For ₹1',
                          textEight: 'Post Paid',
                          textOne: 'Minimum',
                          textFour: 'Type',
                          textSeven: 'Active'))),
            ];
          },
          body: Container(),
        ),
      ),
    );
  }
}
/*

Navigator.push(
context,
MaterialPageRoute(
builder: (context) => BlocProvider(
create: (_) => CubitMain(),
child: PaymentPage(title: "Cash Wallet"),
),
));*/
