class CashCoinInfo {
  String? statusCode;
  String? message;
  Rows? rows;
  num? total;

  CashCoinInfo({this.statusCode, this.message, this.rows, this.total});

  CashCoinInfo.fromJson(Map<String, dynamic> json) {
    statusCode = json['statusCode'];
    message = json['message'];
    rows = json['rows'] != null ? new Rows.fromJson(json['rows']) : null;
    total = json['total'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['statusCode'] = this.statusCode;
    data['message'] = this.message;
    if (this.rows != null) {
      data['rows'] = this.rows!.toJson();
    }
    data['total'] = this.total;
    return data;
  }
}

class Rows {
  num? serviceChargeAmount;
  num? taxAmount;
  num? payableAmount;
  TaxDetails? taxDetails;
  num? cashOrCoins;
  Rows(
      {this.serviceChargeAmount,
        this.taxAmount,
        this.cashOrCoins,
        this.payableAmount,
        this.taxDetails});

  Rows.fromJson(Map<String, dynamic> json) {
    serviceChargeAmount = json['service_charge_amount'];
    taxAmount = json['tax_amount'];
    payableAmount = json['payable_amount'];
    taxDetails = json['tax_details'] != null
        ? new TaxDetails.fromJson(json['tax_details'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['service_charge_amount'] = this.serviceChargeAmount;
    data['tax_amount'] = this.taxAmount;
    data['payable_amount'] = this.payableAmount;
    if (this.taxDetails != null) {
      data['tax_details'] = this.taxDetails!.toJson();
    }
    return data;
  }
}

class TaxDetails {
  num? gst;
  num? cgst;
  num? sgst;
  num? igst;
  num? serviceCharge;
  bool? isServiceChargPercentage;

  TaxDetails(
      {this.gst,
        this.cgst,
        this.sgst,
        this.igst,
        this.serviceCharge,
        this.isServiceChargPercentage});

  TaxDetails.fromJson(Map<String, dynamic> json) {
    gst = json['gst'];
    cgst = json['cgst'];
    sgst = json['sgst'];
    igst = json['igst'];
    serviceCharge = json['service_charge'];
    isServiceChargPercentage = json['is_service_charg_percentage'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['gst'] = this.gst;
    data['cgst'] = this.cgst;
    data['sgst'] = this.sgst;
    data['igst'] = this.igst;
    data['service_charge'] = this.serviceCharge;
    data['is_service_charg_percentage'] = this.isServiceChargPercentage;
    return data;
  }
}
